Summary:	Utility to ease the reporting of bugs within the GNOME Desktop Environment
Name:		bug-buddy
Version:        2.18.0
Release:	%mkrel 2
License:	GPL
Group:		Graphical desktop/GNOME
Source: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# gw: patch from Fedora, fix crash on exit
Patch0: bug-buddy-2.18.0-dupe-apps.patch
# (fc) 2.18.0-2mdv fix other-binaries detection
Patch1: bug-buddy-2.18.0-otherbinaries.patch
URL:		http://www.gnome.org/
BuildRequires:	libgnome-menu-devel
BuildRequires:	gnome-desktop-devel
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:  libxslt-proc
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	evolution-data-server-devel
BuildRequires:	libgtop2.0-devel
BuildRequires:	libsoup-devel >= 2.2.94
BuildRequires:	perl-XML-Parser
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gdb
#gw it does a dlopen on libplds4.so
Requires: %mklibname nspr 4
Requires: %mklibname nss 3

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submission process.  It can automatically obtain stack traces from core
files or crashed applications.  Debian and KDE bug tracking systems are
also supported.

%prep
%setup -q
%patch0 -p1 -b .dup-apps
%patch1 -p1 -b .otherbinaries

%build
%configure2_5x --disable-scrollkeeper

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%post
%post_install_gconf_schemas %name
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_icon_cache hicolor

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/%{name}*
%{_datadir}/bug-buddy


%changelog
* Mon Apr 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 150296
- Patch1: fix other-binaries search

  + Götz Waschk <waschk@mandriva.org>
    - fix crash on exit (b.g.o #425245)

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142143
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-3mdv2007.1
+ Revision: 126176
- bump
- this release bump is presented to you by ...
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-4mdv2007.1
+ Revision: 105905
- add more missing deps

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-3mdv2007.1
+ Revision: 105469
- really fix deps

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 105452
- fix deps

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 98391
- new version

* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 90318
- new version

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-3mdv2007.1
+ Revision: 88304
- Import bug-buddy



* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-3mdv2007.1
- Rebuild

* Mon Sep 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Remove source4 and 5, since we now ships debug package

* Tue Sep  5 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop scrollkeeper stuff
- update file list
- New version 2.16.0

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- rebuild for new e-d-s

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- update file list
- New release 2.15.90

* Thu Jun 29 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-3mdv2007.0
- don't make profile.d scripts executable
- new macros
- remove menu entry

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-2mdv2007.0
- fix buildrequires

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-1mdv2007.0
- fix rpmlint warning about scripts without shell-bang
- update file list
- update deps
- drop patch
- New release 2.15.0

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- Fix Buildrequires

* Sat Oct  8 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-3mdk
- fix buildrequires
- use /usr/lib/sendmail by default

* Fri Oct  7 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- fix buildrequires

* Thu Oct  6 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- fix buildrequires
- New release 2.12.1

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.8.0-3mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.8.0-2mdk
- fix rpmlint errors (PreReq) 

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix menu

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.0-2mdk
- buildrequires
- minor cosmetics

* Tue Apr  6 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- New release 2.6.0

* Wed Jan 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2

* Wed Nov 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1.1-1mdk
- Release 2.4.1.1

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0 

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.104-1mdk
- Release 2.2.104

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com 2.2.103-1mdk
- Release 2.2.103

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.102-1mdk
- Release 2.2.102

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.101-1mdk
- Release 2.2.201

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.100-2mdk
- Recompiled against latest openssl
- Add yelp cache generation

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.100-1mdk
- Release 2.2.100

* Thu Dec 26 2002 Stefan van der Eijk <stefan@eijk.nu> 2.2.99-2mdk
- BuildRequires

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.99-1mdk
- Release 2.2.99

* Tue Aug 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-5mdk
- Fix BuildRequires (gdk-pixbuf-devel is GNOME 1 and b-b is G2..)
- png icons

* Tue Aug 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-4mdk
- Add sources 4 & 5 for sh/csh profile.d script, rpm was screwing the scripts :( (bug #111)

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-3mdk
- Disable Bug-buddy auto-popup when crashes occur, since stripped
  packages don't generate usefull stack traces

* Sun Aug  4 2002 Stefan van der Eijk <stefan@eijk.nu> 2.2.0-2mdk
- BuildRequires

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6

* Wed Apr 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4 (GNOME 2)

* Fri Feb 15 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.8-6mdk
- Included Basque (and others) translation

* Thu Jan 10 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-5mdk
- BuildRequires

* Fri Oct 26 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-4mdk
- BuildRequires: libxml-devel

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-3mdk
- BuildRequires:  popt-devel
- Remove redundant BuildRequires.

* Wed Aug 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.8-2mdk
- Use new icon

* Tue Aug  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-1mdk
- Release 2.0.8
- No longer BuildConflicts with libxml2

* Sun Jul 08 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0.6-3mdk
- BuildRequires:  db1-devel
- BuildRequires:  GConf-devel
- BuildRequires:  gdk-pixbuf-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	gnome-libs-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	libxml-devel
- Removed BuildRequires:	XFree86-devel
- Removed BuildRequires:	zlib-devel

* Thu Jul 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.6-2mdk
- Move menu entry in Applications/Development/Tools

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6
- Add BuildConflicts with libxml2-devel

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Add requires on gdb (needed to submit bug report)

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Correct typo in description (Thanks to Randy Kramer)

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Release 2.0

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.95-1mdk
- Release 1.95

* Sun Nov 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2-1mdk
- new and shiny source.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.1-1mdk
- new version 1.1

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0-4mdk
- fixed langs
- further macroszification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0-2mdk
- macrozification

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- release 1.0
- remove docdir define (for BM)
- update menu macros
- embed menu file in spec (but don't add it, see 0.7-4mdk)
- modify icons to be transparent

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-2mdk
- 32*32 icon
- remove hardcoded path to icons .

* Tue May 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-1mdk
- release 0.9 
- fix bug (seg fault when the about button is pressed)

* Thu Apr 20 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8-1mdk
- release  0.8
- force path to help file 

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.7-5mdk
- fix % post

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-4mdk
- add icon.
- build from helix.
- remove Mandrake entry (possible conflicts with our future bugzilla database
  system)


* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-3mdk
- really add  the menu entry (forgot to remove some stuffs)
- this come from Helix distro.

* Wed Mar 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-2mdk
- add a Mandrake entry to report bug easily and directly to bug@mandrakesoft.com
- add menu entry.

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-1mdk
- first build for Mandrake.
